xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmltooling::ElementExtensibleXMLObject Class Referenceabstract

An XMLObject that exposes arbitrary children via a mutable vector. More...

`#include <xmltooling/ElementExtensibleXMLObject.h>`

Inheritance diagram for xmltooling::ElementExtensibleXMLObject:

## Public Member Functions
virtual xmltooling::XMLObjectChildrenList< std::vector< XMLObject * > > | getUnknownXMLObjects ()=0
| Gets a mutable list of child objects. More...
virtual const std::vector< XMLObject * > & | getUnknownXMLObjects () const =0
| Gets an immutable list of child objects. More...
Public Member Functions inherited from xmltooling::XMLObject
virtual XMLObject * | clone () const =0
| Creates a copy of the object, along with all of its children. More...
virtual void | detach ()=0
| Specialized function for detaching a child object from its parent while disposing of the parent. More...
virtual const QName & | getElementQName () const =0
| Gets the QName for this element. More...
virtual const std::set< Namespace > & | getNamespaces () const =0
| Gets the namespaces that are scoped to this element. More...
virtual void | addNamespace (const Namespace &ns) const =0
| Adds a namespace to the ones already scoped to this element. More...
virtual void | removeNamespace (const Namespace &ns)=0
| Removes a namespace from this element. More...
virtual const QName * | getSchemaType () const =0
| Gets the XML schema type of this element. More...
virtual const XMLCh * | getXMLID () const =0
| Gets the value of the ID attribute set on this object, if any. More...
virtual const XMLCh * | getLang () const
| Returns the xml:lang property of the object, if any. More...
bool | nil () const
| Returns the xsi:nil property of the object, or false if not set. More...
virtual xmlconstants::xmltooling_bool_t | getNil () const =0
| Returns the xsi:nil property as an explicit enumerated value. More...
virtual void | nil (xmlconstants::xmltooling_bool_t value)=0
| Sets the xsi:nil property using an enumerated value. More...
void | nil (bool value)
| Sets the xsi:nil property. More...
void | setNil (const XMLCh *value)
| Sets the xsi:nil property using a string constant. More...
virtual bool | hasParent () const =0
| Checks to see if this object has a parent. More...
virtual XMLObject * | getParent () const =0
| Gets the parent of this element or null if there is no parent. More...
virtual void | setParent (XMLObject *parent)=0
| Sets the parent of this element. More...
virtual bool | hasChildren () const =0
| Checks if this XMLObject has children. More...
virtual const std::list< XMLObject * > & | getOrderedChildren () const =0
| Returns an unmodifiable list of child objects in the order that they should appear in the serialized representation. More...
virtual void | removeChild (XMLObject *child)=0
| Used by a child's detach method to isolate the child from this parent object in preparation for destroying the parent (this object). More...
virtual const XMLCh * | getTextContent (unsigned int position=0) const =0
| Returns the text content at the specified position relative to any child elements. More...
virtual void | setTextContent (const XMLCh *value, unsigned int position=0)=0
| Sets (or clears) text content relative to a child element's position. More...
virtual xercesc::DOMElement * | getDOM () const =0
| Gets the DOM representation of this XMLObject, if one exists. More...
virtual void | setDOM (xercesc::DOMElement *dom, bool bindDocument=false) const =0
| Sets the DOM representation of this XMLObject. More...
virtual void | setDocument (xercesc::DOMDocument *doc) const =0
| Assigns ownership of a DOM document to the XMLObject. More...
virtual void | releaseDOM () const =0
| Releases the DOM representation of this XMLObject, if there is one.
virtual void | releaseParentDOM (bool propagateRelease=true) const =0
| Releases the DOM representation of this XMLObject's parent. More...
virtual void | releaseChildrenDOM (bool propagateRelease=true) const =0
| Releases the DOM representation of this XMLObject's children. More...
void | releaseThisandParentDOM () const
| A convenience method that is equal to calling releaseDOM() then releaseParentDOM(true).
void | releaseThisAndChildrenDOM () const
| A convenience method that is equal to calling releaseChildrenDOM(true) then releaseDOM().
virtual xercesc::DOMElement * | marshall (xercesc::DOMDocument *document=0, const std::vector< xmlsignature::Signature * > *sigs=0, const Credential *credential=0) const =0
| Marshalls the XMLObject, and its children, into a DOM element. More...
virtual xercesc::DOMElement * | marshall (xercesc::DOMElement *parentElement, const std::vector< xmlsignature::Signature * > *sigs=0, const Credential *credential=0) const =0
| Marshalls the XMLObject and appends it as a child of the given parent element. More...
virtual XMLObject * | unmarshall (xercesc::DOMElement *element, bool bindDocument=false)=0
| Unmarshalls the given W3C DOM element into the XMLObject. More...

## Detailed Description

An XMLObject that exposes arbitrary children via a mutable vector.

## Member Function Documentation

virtual xmltooling::XMLObjectChildrenList< std::vector< XMLObject *> > xmltooling::ElementExtensibleXMLObject::getUnknownXMLObjects | ( |  | ) |
| pure virtual

Gets a mutable list of child objects.

Returns
  mutable list of child objects

virtual const std::vector<XMLObject*>& xmltooling::ElementExtensibleXMLObject::getUnknownXMLObjects | ( |  | ) | const
| pure virtual

Gets an immutable list of child objects.

Returns
  immutable list of child objects

The documentation for this class was generated from the following file:

- xmltooling/ElementExtensibleXMLObject.h